package com.eactive.eai.common.session;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 1. 기능 : Cache정보를 표현하는 Java Value Object 클래스. 2. 처리 개요 : Cache 정보를 정의한다. 3.
 * 주의사항
 *
 * @author :
 * @version : v 1.0.0
 * @see : 관련 기능을 참조
 * @since :
 */
public class CacheInfoVO implements Serializable {
	private String name;
	private List<String> keys;
	private long size;
	private long timeToLive;

	/**
	 * 1. 기능 : EAI서비스 코드를 초기화하는 생성자 함수 2. 처리 개요 : EAI 서비스 코드를 초기화한다. 3. 주의사항
	 *
	 * @param eaiInstCd
	 *            EAI 서버인스턴스명
	 * @param eaiSvcCd
	 *            EAI 서비스 코드
	 **/
	public CacheInfoVO() {
		keys = new ArrayList<String>();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<String> getKeys() {
		return keys;
	}

	public void setKeys(List<String> keys) {
		this.keys = keys;
	}

	public long getTimeToLive() {
		return timeToLive;
	}

	public long getTimeToLiveSeconds() {
		return timeToLive / 1000;
	}

	public void setTimeToLive(long timeToLive) {
		this.timeToLive = timeToLive;
	}

	public long getSize() {
		return size;
	}

	public void setSize(long size) {
		this.size = size;
	}

}
